package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.ShipmentUploadRecordBean;

public interface ShipmentUploadStatusDal {

	/**
	 * 插入提交状态到数据库
	 * @param b
	 */
	void insertUploadStatus(ShipmentUploadRecordBean b);
	/**
	 * 通过实践信息删除上传数据
	 * @param date
	 */
	void deleteUploadStatusByDate(String date);
	/**
	 * 查询所有的上传数据
	 * @param date
	 * @return
	 */
	List<ShipmentUploadRecordBean> queryAllUploadStatus(String date);
	/**
	 * 删除七天前的数据
	 */
	void delete7DaysBefore();
	/**
	 * 查询最近七天的提交状态信息
	 * @return
	 */
	List<ShipmentUploadRecordBean> queryUploadStatusFor7Days();
	/**
	 * 删除所有的提交状态信息
	 */
	void deleteAllUploadStatus();
	ShipmentUploadRecordBean getShipmentUploadRecordBean(Cursor c);
	/**
	 * 查询七天内存在操作的日期
	 * @return
	 */
	List<String> queryUploadDateFor7Days();
	
	/**
	 * 根据日期和操作查询标签数量
	 * @param option_type
	 * @param date
	 * @return
	 */
	public int queryLabelCountByOptionAndDate(int option_type,String date);
	
}
